Bug 849658 - ovirt-engine-backend [Shared_Disk]: cannot change shared disk name while its in active state
ovirt-engine-backend [Shared_Disk]: cannot change shared disk name while its ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
x86_64 Linux
medium Severity medium
: ---
: 3.1.0
Assigned To: Nobody's working on this, feel free to take it
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 09:45 EDT by Dafna Ron
Modified: 2016-02-10 13:19 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-03 16:38:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (139.37 KB, application/x-xz)
2012-08-20 09:45 EDT, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2012-08-20 09:45:20 EDT
Created attachment 605709 [details]
log

Description of problem:

I could not change a shared disk name while it was still active in some of the vm's its attached to.

Error while executing action: Cannot edit Virtual Machine Disk. At least one of the VMs is not down.
 
Version-Release number of selected component (if applicable):

si14

How reproducible:

100%

Steps to Reproduce:
1. create and attach a shared disk to several vm's with rhel6 OS installed
2. run all but one of the vms
3. try to change the disk name in the vm which is in down state (since we cannot edit a disk while the vm is up, one of the vm's have to stay down). 
4. deactivate the disk on all vm's
5. try to change the disk name 
  
Actual results:

while at least one of the vm's has the disk in active state we cannot change the disk alias
if all disks are deactivated or vms are all down we can change the name. 

Expected results:

we should be able to change the alias even if the vm is running and the disk is active (since it's a db change). 

Additional info: log
Comment 1 Itamar Heim 2013-03-03 16:38:24 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.